Package: groovy.inspect.swingui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.inspect.swingui.GeneratedBytecodeAwareGroovyClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader (GroovyClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clearBytecodeTable()`
    `` | `protected ClassCollector` | `createCollector(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)`
    `` | `byte[]` | `getBytecode(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `clearCache, setShouldRecompile, isShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, newInstance, newInstance, getResourceAsStream, findResource, findResources, getURLs, getPlatformClassLoader, getSystemClassLoader, getName, getResource, getSystemResourceAsStream, getSystemResource, getResources, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackage, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `newInstance, newInstance, getResourceAsStream, findResource, findResources, close, getURLs, loadClass, getPlatformClassLoader, getSystemClassLoader, getName, getResource, getSystemResourceAsStream, getSystemResource, getResources, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackage, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

  - ### Method Detail

    - #### void clearBytecodeTable()

    - #### @Override protected ClassCollector createCollector(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)

    - #### byte[] getBytecode(String className)